package org.hathitrust.extractedfeatures;

import java.io.BufferedReader;

import org.json.JSONObject;

public class JSONClusterFileIO extends ClusterFileIO {

	protected static JSONObject readJSONFile(String filename)
	{
		StringBuilder sb = new StringBuilder();
	
		try {
	
			String str;
			BufferedReader br = ClusterFileIO.getBufferedReaderForCompressedFile(filename);
			while ((str = br.readLine()) != null) {
				sb.append(str);
			}
	
	        br.close();
		} 
		catch (Exception e) {
			e.printStackTrace();
		}
	
		JSONObject json_obj = new JSONObject(sb.toString());
		
		
		return json_obj;
	}

}
